Mailinglist Archive: opensuse-bugs (3517 mails)

< Previous Next >
[Bug 664793] splashy does not work

https://bugzilla.novell.com/show_bug.cgi?id=664793

https://bugzilla.novell.com/show_bug.cgi?id=664793#c18


David Sterba <dsterba@xxxxxxxx> changed:

What |Removed |Added
----------------------------------------------------------------------------
CC| |dsterba@xxxxxxxx

--- Comment #18 from David Sterba <dsterba@xxxxxxxx> 2011-09-07 12:34:19 CEST
---
The factory version does not fix this. I don't understand how the fix

https://build.opensuse.org/package/view_file?file=splashy-exits-prematurely-fix.patch&package=splashy&project=openSUSE%3AFactory&srcmd5=be0414ca07dcc4381c5c3481879c70fb

could have ever worked, it modifies a file which is removed during install:

--- a/scripts/initramfs-tools/scripts/local-premount/splashy
+++ b/scripts/initramfs-tools/scripts/local-premount/splashy
-grep -q '\(VESA\|VGA\)' /proc/fb || exit
+# newer kernels use inteldrmfb. allowing splashy to fail
+# if framebuffer is not set might be a better option:
+# users can actually see an error and report this to us
+#grep -q '\(VESA\|VGA\)' /proc/fb || exit

spec:
%install
..
rm -rf .%{_datadir}/initramfs-tools

--
Configure bugmail: https://bugzilla.novell.com/userprefs.cgi?tab=email
------- You are receiving this mail because: -------
You are on the CC list for the bug.

< Previous Next >